Wireless printer "Processing - Unable to locate printer."

Bug #987212 reported by Christopher Forster on 2012-04-23
114
This bug affects 22 people
Affects Status Importance Assigned to Milestone
avahi (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned
Raring
High
Unassigned

Bug Description

Description: Ubuntu 12.04 LTS (Precise Pangolin) Beta 2
Release: 12.04 Beta 2

The printer is a Lexmark X734de printer connected over a wireless network that can be found, but will not print. The print job stays in the queue forever. Wireless Printer "Processing - Unable to locate printer."

Network/Local Printers found but cannot print - Unable to get printer status and says it's "Processing".

I'm shure we want avoid this for the Ubuntu 12.04 LTS (Precise Pangolin) release, when the final has been released. I'm using Ubuntu 12.04 LTS (Precise Pangolin) Beta 2 with latest update as of today.

CUPS log: /var/log/cups/error_log

W [23/Apr/2012:11:48:05 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Lexmark-X734de-Gray..' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Lexmark-X734de-CMYK..' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Lexmark-X734de' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Lexmark-X734de-Gray..' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Lexmark-X734de-CMYK..' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Lexmark-X734de' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Lexmark-X734de-Gray..' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateProfile: org.freedesktop.ColorManager.AlreadyExists:profile id 'Lexmark-X734de-CMYK..' already exists
W [23/Apr/2012:11:48:05 +0200] failed to CreateDevice: org.freedesktop.ColorManager.AlreadyExists:device id 'cups-Lexmark-X734de' already exists
E [23/Apr/2012:11:50:58 +0200] [Job 2] Unable to find printer.
E [23/Apr/2012:11:51:13 +0200] [Job 2] Unable to find printer.
E [23/Apr/2012:11:51:28 +0200] [Job 2] Unable to find printer.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: system-config-printer-gnome 1.3.8+20120201-0ubuntu8
ProcVersionSignature: Ubuntu 3.2.0-20.33-generic-pae 3.2.12
Uname: Linux 3.2.0-20-generic-pae i686
ApportVersion: 2.0.1-0ubuntu5
Architecture: i386
CheckboxSubmission: e28f23d40ba6960d2759044b1acbd380
CheckboxSystem: c69722ecac764861be52925fa50b4dcc
Date: Mon Apr 23 11:58:03 2012
ExecutablePath: /usr/share/system-config-printer/system-config-printer.py
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta i386 (20120328)
InterpreterPath: /usr/bin/python2.7
Lpstat:
 device for Canon-MP190-series: usb://Canon/MP190%20series?serial=E14D77&interface=1
 device for Lexmark-X734de: dnssd://Lexmark%20X734de._pdl-datastream._tcp.local/
MachineType: Acer AOA150
PackageArchitecture: all
Papersize: a4
PpdFiles:
 Lexmark-X734de: Lexmark X734de
 Canon-MP190-series: Canon PIXMA MP190 - CUPS+Gutenprint v5.2.8-pre1
ProcEnviron:
 LANGUAGE=se_NO:nb_NO:nb:no_NO:no:nn_NO:nn:da:sv:en
 LANG=se_NO
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-20-generic-pae root=UUID=6448F9C148F991D2 loop=/hostname/disks/root.disk ro quiet splash vt.handoff=7
SourcePackage: system-config-printer
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/09/2008
dmi.bios.vendor: Acer
dmi.bios.version: v0.3305
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.vendor: Acer
dmi.board.version: Base Board Version
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAcer:bvrv0.3305:bd05/09/2008:svnAcer:pnAOA150:pvr1:rvnAcer:rn:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: AOA150
dmi.product.version: 1
dmi.sys.vendor: Acer

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in system-config-printer (Ubuntu):
status: New → Confirmed

Today i updated 2 Maschines from Ubuntu 11.10 to current LTS 12.04

One had a working network printer (Brother MFC) and the other one did not (with 11.10).
After the update the maschine with the already working printer can still print.

But installing the printer on the other maschine in version 12.04 gives me the exact same error as discibed above.

SRoesgen (s-roesgen) wrote :

Same here,

updated three laptops to Ubuntu 120.4 LTS. Printing works fine as long as I am connected to the network via (LAN) cable. The moment it pull the cable and switch to WLAN I get the message "unable to locate printer". (All other functions work when connected via WLAN: so I have mail in Thunderbird , can browse the internet with Firefox and sync my stuff with UbuntuOne. It is just the printing which does not work over WLAN.)

Additionally, I cannot find/locate/add any new printer when connected to the WLAN. But I see both network printers (in my home-network) when connected via LAN. Seems that CUPS and/or Avahi have a big problem with WiFi at the moment.
(I can see and find printers when using connecting my Mac over WiFi, so the problem does not originate from the printers ).

SRoesgen (s-roesgen) wrote :

Just to add something:
1) I certainly use Ubuntu 12.04 and not 120.4 ;)
2) the problems occur on three different laptops, of different age and totally different hardware configuration. I therefore expect that this problem might bother quite a lot of people and without wanting to hurry anybody: I think this is a really, really huge problem (especially if the problem "hits" a larger group of people).

Till Kamppeter (till-kamppeter) wrote :

Everyone with this problem, please do the following tests:

Can you access

http://<IP address or host name of the printer>/

when on WLAN? This should show a configuration interface for the printer.

Can you run the following commands from the command line once when you are on WLAN and once with wired LAN connection:

ping <IP address or host name of the printer>
lpinfo -v
sudo /usr/lib/cups/backend/dnssd
/usr/lib/cups/backend/snmp
route
ifconfig
nmap <IP address or host name of the printer>

Please post the output of the commands here. If command does not terminate by itself, stop it with Ctrl + C after some seconds.

Changed in system-config-printer (Ubuntu):
status: Confirmed → Incomplete
SRoesgen (s-roesgen) wrote :
Download full text (4.3 KiB)

Ok, I tried what you told me at home (got the same problem here in my home LAN)

1) Yes, I can access the configuration interface of the printer via WLAN

2) Yes, I can ping the printer (over WLAN and LAN)

------- At first all the commands, tested while connected to network via WLAN --------

3a) Running lpinfo -v (while on WLAN) results in:
network lpd
network ipp
network ipps
network https
network http
network socket
network beh
direct hp
network smb
direct hpfax
network lpd://BRNF3DB2C/BINARY_P1

3b) running sudo /usr/lib/cups/backend/dnssd (while on WLAN) results in:
-> no response (I had to ctrl + C to stop the command)

3c) running /usr/lib/cups/backend/snmp (while on WLAN) results in:
network lpd://BRNF3DB2C/BINARY_P1 "Brother MFC-9840CDW" "Brother MFC-9840CDW" "MFG:Brother;CMD:PJL,PCL,PCLXL;MDL:MFC-9840CDW;CLS:PRINTER;" ""

3d) running route (while on WLAN) results in:
Kernel-IP-Routentabelle
Ziel Router Genmask Flags Metric Ref Use Iface
default speedport.ip 0.0.0.0 UG 0 0 0 wlan0
link-local * 255.255.0.0 U 1000 0 0 wlan0
192.168.1.0 * 255.255.255.0 U 2 0 0 wlan0

3e) running nmap on the address of the rounter (while on WLAN) results in:
Host is up (0.014s latency).
Not shown: 994 closed ports
PORT STATE SERVICE
21/tcp open ftp
23/tcp open telnet
80/tcp open http
515/tcp open printer
631/tcp open ipp
9100/tcp open jetdirect

------ Now the same while connected to the LAN via cable -------

4a) running lpinfo -v (while on LAN) results in:
network lpd
network beh
network https
network ipps
network socket
network ipp
network http
network smb
network dnssd://Brother%20MFC-9840CDW._ipp._tcp.local/
network dnssd://HP%20Color%20LaserJet%20CM2320nf%20MFP%20(8869EE)._pdl-datastream._tcp.local/
network dnssd://Brother%20MFC-9840CDW._pdl-datastream._tcp.local/
network dnssd://HP%20Color%20LaserJet%20CM2320nf%20MFP%20(8869EE)._printer._tcp.local/
network dnssd://Brother%20MFC-9840CDW._printer._tcp.local/
direct hp
direct hpfax
network socket://192.168.1.11

4b) running sudo /usr/lib/cups/backend/dnssd (while in LAN) results in:

DEBUG: Found "Brother MFC-9840CDW._ipp._tcplocal"...
DEBUG: Found "HP Color LaserJet CM2320nf MFP (8869EE)._pdl-datastream._tcplocal"...
DEBUG: Found "Brother MFC-9840CDW._pdl-datastream._tcplocal"...
DEBUG: Found "HP Color LaserJet CM2320nf MFP (8869EE)._printer._tcplocal"...
DEBUG: Found "Brother MFC-9840CDW._printer._tcplocal"...
network dnssd://Brother%20MFC-9840CDW._ipp._tcp.local/ "Brother MFC-9840CDW" "Brother MFC-9840CDW" "MFG:Brother;MDL:MFC-9840CDW;" ""
network dnssd://HP%20Color%20LaserJet%20CM2320nf%20MFP%20(8869EE)._pdl-datastream._tcp.local/ "HP HP Color LaserJet CM2320nf MFP" "HP Color LaserJet CM2320nf MFP (8869EE)" "MFG:HP;MDL:Color LaserJet CM2320nf MFP" ""
network dnssd://Brother%20MFC-9840CDW._pdl-datastream._tcp.local/ "Brother MFC-9840CDW" "Brother MFC-9840CDW" "MFG:Brother;MDL:MFC-9840CDW;" ""
network dnssd://HP%20Color%20LaserJet%20CM2320nf%20MFP%20(8869EE)._printer._tcp.local/ "HP HP Color LaserJet CM2320nf MFP" "HP Color LaserJet CM2320nf ...

Read more...

SRoesgen (s-roesgen) wrote :

@Till Kamppeter
btw: a few minues ago I found your PPA, in which you put some changed/updated cups packages. I added it and installed you (cups) packages.
But, I am afraid they do not help here either. So this seems to be a problem which is different from the one you already fixed.

Greetings
Sebastian

SRoesgen (s-roesgen) wrote :

Ok,

I did some checks and research myself:

1) as it seems dnssd does not work over WLAN

2) seemingly it is a problem with my router (at least I see no other cause for the problem).

So what now? The problems with dnssd over WLAN appeared only AFTER the upgrade from Ubuntu 11.10 to 12.04LTS. So the WLAN router cannot be the only cause of these problems, I have here. Before the upgrade I could print via WLAN.

The router is a Speedport W303V Type A

SRoesgen, for me this looks like a bug in the DNS-SD support. Try also the commands

avahi-browse -a -v -t -r
avahi-browse -a -v -c -r

avahi-browse is in the avahi-utils package. Install it if it is not installed yet.

Which device has the IP address 192.168.1.11 in your network?

By the way, I have added a new section "Network printer" to https://wiki.ubuntu.com/DebuggingPrintingProblems, but most of the steps you have already done.

Seems to be an Avahi bug, moving to the avahi package ...

affects: system-config-printer (Ubuntu) → avahi (Ubuntu)
Changed in avahi (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-12.04.1
SRoesgen (s-roesgen) wrote :

The device with the network address 192.168.1.11 is one of two network printers (a Brother MFC 9840 CDW).

I am adding the output of the avahi-browser commands here as txt file.

SRoesgen (s-roesgen) wrote :

Sorry, could not find out, how to add more than one text file, so here the second textfile.

SRoesgen (s-roesgen) wrote :

Third file?field.comment=Third file

SRoesgen (s-roesgen) wrote :

And the last one.

Stéphane Graber (stgraber) wrote :

Removing 12.04.1 milestone, no fix in current dev release and unlikely to be fixed in time for the point release.
Once fixed in the dev release this should be considered for SRU.

I'll add a task to reflect this.

Changed in avahi (Ubuntu):
milestone: ubuntu-12.04.1 → none
tags: added: regression-release
Changed in avahi (Ubuntu Precise):
status: New → Incomplete
importance: Undecided → High
milestone: none → precise-updates
Steve Langasek (vorlon) on 2012-09-26
tags: added: rls-q-notfixing

Problem is that for the "wlan0" interface there are no full data records (starting with a "=" line) for the printers. Seems to be some problem with Avahi.

----------
till@till:~$ cat avahi-browse-a-v-c-r-output-LAN.txt | grep wlan0 | grep -i ipv4 | grep Printer
+ wlan0 IPv4 Brother MFC-9840CDW UNIX Printer local
+ wlan0 IPv4 HP Color LaserJet CM2320nf MFP (8869EE) UNIX Printer local
+ wlan0 IPv4 Brother MFC-9840CDW PDL Printer local
+ wlan0 IPv4 HP Color LaserJet CM2320nf MFP (8869EE) PDL Printer local
+ wlan0 IPv4 Brother MFC-9840CDW Internet Printer local
till@till:~$ cat avahi-browse-a-v-c-r-output-LAN.txt | grep eth0 | grep -i ipv4 | grep Printer
+ eth0 IPv4 HP Color LaserJet CM2320nf MFP (8869EE) UNIX Printer local
+ eth0 IPv4 Brother MFC-9840CDW UNIX Printer local
+ eth0 IPv4 HP Color LaserJet CM2320nf MFP (8869EE) PDL Printer local
+ eth0 IPv4 Brother MFC-9840CDW PDL Printer local
+ eth0 IPv4 Brother MFC-9840CDW Internet Printer local
= eth0 IPv4 HP Color LaserJet CM2320nf MFP (8869EE) UNIX Printer local
= eth0 IPv4 Brother MFC-9840CDW UNIX Printer local
= eth0 IPv4 HP Color LaserJet CM2320nf MFP (8869EE) PDL Printer local
= eth0 IPv4 Brother MFC-9840CDW PDL Printer local
= eth0 IPv4 Brother MFC-9840CDW Internet Printer local
till@till:~$
----------

Changed in avahi (Ubuntu Precise):
status: Incomplete → Confirmed
Changed in avahi (Ubuntu Quantal):
status: Incomplete → Confirmed
rg (rob-themayfire) wrote :

FWIW, LAN-Ubuntu to WLAN-printer results in the same problem ("Unable to locate printer") as WLAN-Ubuntu to LAN-printer

Ubuntu 12.04.1
Brother HL-5370DW printer
D-Link DIR-632 router

Happy to provide further info if needed.

Changed in avahi (Ubuntu Quantal):
milestone: none → quantal-updates
Milen Dyankov (milendyankov) wrote :

Just stumbled upon this issue on Ubuntu 12.10 trying to connect to Lexmark Pro209.
Are there any updates/workarounds as in my case LAN is not an option ?

Milen Dyankov (milendyankov) wrote :

Just tried to add it manually and surprisingly it worked. Here are the steps:

1) go to http://localhost:631 and click on 'add printer' in 'administration'
2) choose 'Internet Printing Protocol (ipps)' or whatever your printer supports
3) add the URI and click next. In my case it was: socket://<IP address>:9100
4) enter name, description, ... and click next
5) choose your driver and click 'add printer'

Hopefully this will work for other printers as well.

SRoesgen (s-roesgen) wrote :

Providing the IP address works for me, too.

But this is only a workaround. What about those who want to add a printer without researching the IP addess (for instance on a large scale network.)

Furthermore, if someone configures the printers of a network to search for an address via DHCP this will as well lead to some problems, as the IP address might change over the course of time. (And I do not want to change my printer settings every now and then.)

I have a similar issue on Raring: i cannot print on my HP OfficeJet 4500 after the machine was suspended at least once. Cups would say "Unable to find printer". After restarting avahi i can print again:

  sudo restart avahi-daemon

I am happy to assist debugging this, e.g. providing logs or network dumps.

I have to correct my above last comment: there is only a very short duration after reboot that i can print. Effectively i have to restart avahi before each print (or to un-stuck a queued job).

On 07/11/13 06:40, Nils Toedtmann wrote:
> I have to correct my above last comment: there is only a very short
> duration after reboot that i can print. Effectively i have to restart
> avahi before each print (or to un-stuck a queued job).
>
Hi Nils

I am glad I am not the only person with this problem. My printer is a
Brother MFC-9120CN network printer. It plugs into the router not the
computer. I have found that I can ptint for a short time after I turn
the printer off and back on from it's power switch. I do this every
time I want to print from Ubuntu. I also have a Windows laptop that I
use with the router. It works all the time.
My guess is that the printer has a power saving mode that partly shuts
down Windows knows how to wake it up an print. Ubuntu sees the computer
as switched off. I do not have the skills to fix it.

Let me know how you get on.
All the best

Jeffrey Lee

jimav (james-avera) wrote :

This problem appeared after updating saucy (13.10). Brother MFC-9340CDW on Wifi worked before, now won't work.

CUPS queue uses URI lpd://BRW485AB63B3500/BINARY_P1
  but shows error "Unable to locate printer "BRW485AB63B3500"

- Can ping the printer

- Can visit the printer's web interface using it's IP address in firefox; confirmed node name is "BRW485AB63B3500"

- lpinfo -v does list lpd://BRW485AB63B3500/BINARY_P1

- avahi-browse -a lists "eth0 IPv4 Brother MFC-9340CDW" as both a "UNIX printer" and "PDL printer"
    (but then hangs - have to interrupt it with ^C)

I'm pretty sure this worked a week ago.

Todd (phartatmisassa) wrote :

I am using Ubuntu Gnome 14.04.

This was affecting me too.

I could add the Printer to my list of printers via system-config-printer and cups' interface at port 631, but I got the same error.

Too solve the issue, I logged into my router and disabled "Wireless AP Isolation", I still got an error message, and then shortly thereafter the page printed... Interesting, maybe latency or something.

What is surprising is that I could even add the printer to my list of printers with "Wireless AP Isolation" enabled.

Cheers,
Todd

Jeffrey Lee (jeff-lee) wrote :

Hi Todd

I got my printer working well on 12.04 a while ago. From memory I
downloaded the driver from the Brother site.

Trying to upgrade/fresh install of 14.04 has been a problem. Have not
been able to install it or go back to 12.04. Keeping me busy.

Jeff

On 08/10/14 07:23, Todd wrote:
> I am using Ubuntu Gnome 14.04.
>
> This was affecting me too.
>
> I could add the Printer to my list of printers via system-config-printer
> and cups' interface at port 631, but I got the same error.
>
> Too solve the issue, I logged into my router and disabled "Wireless AP
> Isolation", I still got an error message, and then shortly thereafter
> the page printed... Interesting, maybe latency or something.
>
> What is surprising is that I could even add the printer to my list of
> printers with "Wireless AP Isolation" enabled.
>
> Cheers,
> Todd
>

Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in avahi (Ubuntu Quantal):
status: Confirmed → Won't Fix
Rolf Leggewie (r0lf) wrote :

raring has seen the end of its life and is no longer receiving any updates. Marking the raring task for this ticket as "Won't Fix".

Changed in avahi (Ubuntu Raring):
status: Confirmed → Won't Fix

Also effects utopic

Arrigo Marchiori (ardovm) wrote :

Hello all,

I am not sure if this answers anyone's problem: I see there are many different issues reported and I feel a bit confused, but I am posting here my case, hoping that it could help someone.

On my Ubuntu 14.04.5 system, I had problems accessing a printer via DNS-SD (Avahi).

The problem was in fact that cups could detect, but not print to, a printer without a resolvable IP address.

I could fix my problem as described in this blog post:
https://mypersonalblog1984.wordpress.com/2016/01/09/cups-unable-to-automatically-locate-printer-2/
i.e. in file /etc/nsswitch.conf, I added the "mdns" option to the "hosts" entry.

enny (ennyme) wrote :

 I have an Epson L380 it is printing slow and paper jam issue I tried my best to solve the problems but I am not able to do I contact Epson Printer support they will help out in short time, they are expert technician because they will resolve the problem in one time. Visit https://www.epsonprinterrepair.com/

emni petro (emnipetro) wrote :

I have an HP printer laserjet pro M1136. It's a multifunctional printer its printer quality is too good.
but when I trying to print through a printer its hang the printer and unable to print the page. so I contact hp support team and they resolve my issue immediately. I just share my experience with it...
so if you also face an issue with this type you can also connect them.
so visit that site https://www.hptechnicalsupportphonenumbersusa.com/hp-customer-support/
if any issue face..they provide the best service to their customer.

To post a comment you must log in.